%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		gupnp-tools
Version:	0.8.8
Release:	%mkrel 1
Summary:	A collection of dev tools utilizing GUPnP and GTK+
Group:		Development/Other
License:	GPLv2+
URL:		http://www.gupnp.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gssdp-1.0) >= 0.13.3
BuildRequires:	pkgconfig(gupnp-1.0) >= 0.18
BuildRequires:	pkgconfig(gupnp-av-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtksourceview-3.0)
BuildRequires:	pkgconfig(gnome-icon-theme)
BuildRequires:	intltool

%description
GUPnP is an object-oriented open source framework for creating UPnP 
devices and control points, written in C using GObject and libsoup. 
The GUPnP API is intended to be easy to use, efficient and flexible. 

GUPnP-tools is a collection of developer tools utilizing GUPnP and GTK+. 
It features a universal control point application as well as a sample 
DimmableLight v1.0 implementation. 

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README
%{_datadir}/%{name}
%{_bindir}/gssdp-discover
%{_bindir}/gupnp-network-light
%{_bindir}/gupnp-universal-cp
%{_bindir}/gupnp-av-cp
%{_bindir}/gupnp-upload
%{_datadir}/applications/gupnp-*.desktop


%changelog
* Mon Nov 11 2013 ovitters <ovitters> 0.8.8-1.mga4
+ Revision: 550593
- new version 0.8.8

* Sat Oct 19 2013 umeabot <umeabot> 0.8.7-2.mga4
+ Revision: 533176
- Mageia 4 Mass Rebuild

* Mon Aug 26 2013 dams <dams> 0.8.7-1.mga4
+ Revision: 471938
- new version 0.8.7

* Fri Apr 12 2013 dams <dams> 0.8.6.1-1.mga4
+ Revision: 409816
- new version 0.8.6.1

* Sat Jan 12 2013 umeabot <umeabot> 0.8.5-2.mga3
+ Revision: 352997
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 21 2012 ovitters <ovitters> 0.8.5-1.mga3
+ Revision: 333674
- new version 0.8.5

* Tue Dec 13 2011 wally <wally> 0.8.4-1.mga2
+ Revision: 181403
- imported package gupnp-tools

